/* ************************************************************************************************************************************************ *
 * MetaStack Solutions Ltd.                                                                                                                         *
 * ************************************************************************************************************************************************ *
 * Westminster Cathedral Electronic Signup System                                                                                                   *
 * ************************************************************************************************************************************************ *
 * Cascading Style Sheet - Login Page                                                                                                               *
 * ************************************************************************************************************************************************ *
 * Copyright (c) 2009 MetaStack Solutions Ltd.                                                                                                      *
 * ************************************************************************************************************************************************ *
 * Author: Hamish Symington                                                                                                                         *
 * 20-Mar-2009                                                                                                                                      *
 * ************************************************************************************************************************************************ */

*
{
  margin: 0px;
  padding: 0px;
  font-family: Trebuchet, "Trebuchet MS", Arial, Helvetica, Sans-serif;
  font-size: 14px;
}

button
{
  padding: 0px 5px;
}

div.row
{
  clear: both;
  vertical-align: middle;
}

label em
{
  font-size: inherit;
  font-style: normal;
  text-decoration: underline;
}

div.row label, span.label
{
  text-align: left;
  font-size: 0.8em;
}

div.row label:first-child, span.label
{
  float: left;
  width: 60px;
  padding-top: 8px;
}

div.row span.formw
{
  width: 150px;
  float: right;
  text-align: left;
  padding-top: 3px;
}

h1 > span
{
  font-weight: bold;
  font-size: 1.8em;
}

body
{
  background-color: #999999;
  margin: 10px;
  min-width: 650px;
}

h1
{
  text-align: center;
  margin-bottom: 30px;
  font-size: 1.8em;
}

div#frame
{
  border: 1px solid black;
  width: 250px;
  margin: 0px auto;
}

div.form
{
  padding: 7px 10px 10px 10px;
  background-color: #D4D8DB;
  font-size: 0.7em;
}

div#frame strong
{
  display: none;
}

div#frame strong.bad
{
  display: block;
  text-align: center;
  padding: 7px;
  background-color: #CC0000;
  font-size: 0.7em;
  color: white;
}

input
{
  margin: 2px;
}

label + input
{
  margin-left: 10px;
}

input[type="text"], input[type="password"]
{
  border: 1px solid black;
  width: 130px;
  vertical-align: middle;
}

body > p, h2
{
  width: 500px;
  margin: 0px auto;
}

h2
{
  font-weight: normal;
  padding: 20px 0px;
}

h3
{
  color: red;
  text-align: center;
  padding-bottom: 30px;
}

div#logos
{
  display: block;
  position: absolute;
  bottom: 0px;
  right: 0px;
}
